- Main Page
- Modules
- Data Structures
- Files
- Directories

# ComModule.h File Reference

Radio communication. More...

`#include "p30f6014A.h"`

## Defines
#define | COM_MODULE_HW_ATTENUATOR_25DB 1
#define | COM_MODULE_HW_ATTENUATOR_0DB 0
#define | COM_MODULE_DEFAULT_GROUP 0x7d
#define | COM_MODULE_MAXSIZE 108
## Functions
void | InitComModule (unsigned char owngroup, unsigned int ownaddress, unsigned char hardwareattenuatormode, unsigned char softwareattenuatorvalue)
int | IsModulePlugged ()
void | SetRadioEnabledState (unsigned char mode)
void | SetHardwareAttenuator (unsigned char AttenuatorMode)
void | SetSoftwareAttenuator (unsigned char AttenuatorValue)
void | SetOwnGroup (unsigned char GroupID)
void | SetOwnAddress (unsigned int ownaddress)
unsigned char | GetRadioEnabledState ()
unsigned char | GetHardwareAttenuator ()
unsigned char | GetSoftwareAttenuator ()
unsigned char | GetOwnGroup ()
unsigned char | GetStatus ()
int | SendPacket (unsigned char destinationgroup, unsigned int destinationaddress, unsigned char *packet, int packetsize)
int | IsPacketReady (unsigned char *packet, int *packetSize)

## Detailed Description

Radio communication.

Author:
  Jonathan Besuchet

## Define Documentation

#define COM_MODULE_DEFAULT_GROUP 0x7d

#define COM_MODULE_HW_ATTENUATOR_0DB 0

#define COM_MODULE_HW_ATTENUATOR_25DB 1

#define COM_MODULE_MAXSIZE 108

## Function Documentation

unsigned char GetHardwareAttenuator | ( |  | ) |

unsigned char GetOwnGroup | ( |  | ) |

unsigned char GetRadioEnabledState | ( |  | ) |

unsigned char GetSoftwareAttenuator | ( |  | ) |

unsigned char GetStatus | ( |  | ) |

void InitComModule | ( | unsigned char | owngroup,
|  | unsigned int | ownaddress,
|  | unsigned char | hardwareattenuatormode,
|  | unsigned char | softwareattenuatorvalue |
| ) |  |  |

int IsModulePlugged | ( |  | ) |

int IsPacketReady | ( | unsigned char * | packet,
|  | int * | packetSize |
| ) |  |  |

int SendPacket | ( | unsigned char | destinationgroup,
|  | unsigned int | destinationaddress,
|  | unsigned char * | packet,
|  | int | packetsize |
| ) |  |  |

void SetHardwareAttenuator | ( | unsigned char | AttenuatorMode | ) |

void SetOwnAddress | ( | unsigned int | ownaddress | ) |

void SetOwnGroup | ( | unsigned char | GroupID | ) |

void SetRadioEnabledState | ( | unsigned char | mode | ) |

void SetSoftwareAttenuator | ( | unsigned char | AttenuatorValue | ) |